# R package name (pkg) version (ver) and RPM release (rel)
%define pkg locfit
%define ver 19980714
%define rel 4

Name: R-%{pkg}
Summary: Local Regression, Likelihood and Density Estimtion for R
Group: Applications/Engineering
Copyright: Free for non-commercial use, see the file COPYRIGHT for details
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
URL: http://cm.bell-labs.com/cm/ms/departments/sia/project/locfit/index.html
BuildRoot: /var/tmp/R-%{pkg}
Icon: logosm-trans.gif
Version: %{ver}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}.tar.gz
Requires: R-base
Excludearch: sparc

%description
Local Regression, Likelihood and density estimation

By Clive Loader <clive@bell-labs.com>

%changelog
* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1 on alpha and i386

* Thu Apr 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- rebuilt for powertools, new group, etc.

%prep
%setup -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/%{pkg}
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/LibIndex
rm -rf ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi
